<script>

  $(document).ready(function(){
    /* 明細 高さ 自動設定
    //===================================================================*/
    /* イベント
    //===================================================================*/
    //　F1
    $(document).on("click", ".Func1:not('.noevent')", function(e) {
    });
    //　F2
    $(document).on("click", ".Func2:not('.noevent')", function(e) {
      $(".btn-search-before").trigger("click");
    });
    //　F3
    $(document).on("click", ".Func3:not('.noevent')", function(e) {
    });
    //　F4
    $(document).on("click", ".Func4:not('.noevent')", function(e) {
    });
    //　F5 クリア
    $(document).on("click", ".Func5:not('.noevent')", function(e) {
      $(".btn-index").trigger("click");
    });
    //　F6
    $(document).on("click", ".Func6:not('.noevent')", function(e) {
    });
    //　F7
    $(document).on("click", ".Func7:not('.noevent')", function(e) {
    });
    //　F8
    $(document).on("click", ".Func8:not('.noevent')", function(e) {
    });
    //　F9 登録/実行
    $(document).on("click", ".Func9:not('.noevent')", function(e) {
       $(".btn-reg-before").trigger("click");
   });
    //　F10
    $(document).on("click", ".Func10:not('.noevent')", function(e) {
    });
    //　F11
    $(document).on("click", ".Func11:not('.noevent')", function(e) {
    });
    //　F12 メニュー/戻る
    $(document).on("click", ".Func12:not('.noevent')", function(e) {
      $('.btn-close').trigger('click')
    });

    {if $isNoData}
    alert('該当データがありません。');
    {/if}
    //操作可/不可ボタン
    if($("#detailTop").hasClass("noevent")){  //初期
    } else {  //表示後
    }
    //=== header ===

    //MENUボタン===============================
    $(document).on("regSuccess", ".btn-reg", function(e){
      alert("登録しました");
      location.replace("./");
    });

    $(document).on("click", ".btn-reg-before", function(e) {
      //登録前チェック
      var errflg = false;
      var frmh = $(this).closest(".contents").find(".header");
      var frm = $(".detail");
      var valnm;

      common.clearFormError(frm);
      {*リトライ回数*}
      valnm = Number(stringUtil.nvl0(common.delFigure(common.getValue(frm.find(".rcnt"))),'0'));
      if ($('input[name=rcflg]:checked').val() == '0') {
        if (valnm < 1) {  {*する*}
          errflg = true;
          common.addError(frm.find(".rcnt"), "1回以上を入力して下さい。", null, true);
        }
      } else {  {*しない*}
        if (valnm < 1) {
          common.setValue(frm.find(".rcnt"),"1");
        }
      }
      {*有効期限*}
      valnm = Number(stringUtil.nvl0(common.delFigure(common.getValue(frm.find(".pkigen"))),'0'));
      if ($('input[name=pkiflg]:checked').val() == '0') {
        if (valnm < 1) {  {*する*}
          errflg = true;
          common.addError(frm.find(".pkigen"), "1日以上を入力して下さい。", null, true);
        }
      } else {  {*しない*}
        if (valnm < 1) {
          common.setValue(frm.find(".pkigen"),"1");
        }
      }
      {*桁数*}
      valnm = Number(stringUtil.nvl0(common.delFigure(common.getValue(frm.find(".pketa"))),'0'));
      if ($('input[name=pkeflg]:checked').val() == '0') {
        if (valnm < 1) {  {*する*}
          errflg = true;
          common.addError(frm.find(".pketa"), "1桁以上を入力して下さい。", null, true);
        }
      } else {  {*しない*}
        if (valnm < 1) {
          common.setValue(frm.find(".pketa"),"1");
        }
      }

      if (errflg) {
        alert('エラーがあります。');
      } else {
        $(".headermenu").find(".btn-reg").trigger("click");
      }

    });


    //=== header ===

    //=== body ===

    //=== footer ===


    // 初回フォーカス
    $("#detail").find(".rcnt").focus();
  });

</script>
